# Dojo Select Widget Test

The Select widget is an enhanced version of HTML's <select> tag.

Similar features:

- There is a drop down list of possible values.
- You can only enter a value from the drop down list. (You can't enter an arbitrary value.)
- The value submitted with the form is the hidden value (ex: CA),
- not the displayed value a.k.a. label (ex: California)

Enhancements over plain HTML version:

- If you type in some text then it will filter down the list of possible values in the drop down list.
- List can be specified either as a static list or via a javascript function (that can get the list from a server)

Select #1: inlined data, autocomplete=false:

Value:

Select #2: dataUrl, autocomplete=true:

Value:

Select #3: dataUrl, autocomplete=false:

Value:

this is some text below the combo boxes. It shouldn't get pushed out of the way when search results get returned. also: adding a simple combo box to test IE bleed through problem: